cipstest {plm} | R Documentation

## Cross-sectionally Augmented IPS Test for Unit Roots in Panel Models

### Description

Cross-sectionally augmented Im, Pesaran and Shin (IPS) test for unit roots in panel models.

### Usage

    cipstest(x, lags = 2, type = c("trend", "drift", "none"),
             model = c("cmg", "mg", "dmg"), truncated = FALSE, ...)

### Arguments

`x` | an object of class `"pseries"`,
`lags` | lag order for Dickey-Fuller augmentation,
`type` | one of `"trend"`, `"drift"`, `"none"`,
`model` | one of `"cmg"`, `"mg"`, `"dmg"`,
`truncated` | logical specifying whether to calculate the truncated version of the test,
`...` | further arguments passed to `critvals`.

### Details

This cross-sectionally augmented version of the IPS unit root test (H0: the `pseries` has a unit root) is a so-called second-generation panel unit root test: it is in fact robust against cross-sectional dependence, provided that the default `type="cmg"` is calculated. Else one can obtain the standard (`model="mg"`) or cross-sectionally demeaned (`model="dmg"`) versions of the IPS test.

### Value

An object of class `"htest"`.

### Author(s)

Giovanni Millo

### References

Pesaran, M.H. (2007) A simple panel unit root test in the presence of cross-section dependence, Journal of Applied Econometrics, 22(2), pp. 265–312.

### See Also

`purtest`

### Examples

    data("Produc", package = "plm")
    Produc <- pdata.frame(Produc, index=c("state", "year"))
    ## check whether the gross state product (gsp) is trend-stationary
    cipstest(Produc$gsp, type = "trend")

[Package plm version 1.6-6 Index]